[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# SetRawInterfaceProp

Set a raw (CORBA) interface property.

## Declaration

Source position: typinfo.pp line 870

`procedure SetRawInterfaceProp(`
`Instance: TObject;`
`const PropName: string;`
`const Value: Pointer`
`); procedure SetRawInterfaceProp(`
`Instance: TObject;`
`PropInfo: PPropInfo;`
`const Value: Pointer`
`);`

## Description

SetRawInterfaceProp can be used to set the value of a published CORBA interface with name PropName from object Instance to Value. Alternatively, the required property information can be specified by PropInfo instead of the property name. In difference with the SetInterfaceProp procedure, no reference counting is done.

## Errors

If the property PropName does not exist, an EPropertyError exception is raised.

## See also

SetInterfaceProp |  | Set interface-valued property
GetRawInterfaceProp |  | Get a raw (CORBA) interface property.